<?php
	// kDL 2.2 (HU version) by kgyt.hu
	// ---------------------------------------------------------------------------
	//
	// Settings
	//
	$kdl[ 'longfilename' ] = 45;      // Numbers of long filenames' characters
	$kdl[ 'dateformat' ]   = 'Y-m-d'; // Date format eg.: Y-m-d (PHP format)
	$kdl[ 'theme' ]        = 'kgyt';  // Theme from installes themes
	$global = array(
		'url'            => 'http://kgyt.hu/',  // URL of the firm
		'url2'           => 'kgyt.hu',          // URL of the firm
		'name'           => 'kDL',              // Name of firm
		'tel'            => '+36 20 599 5758',  // Phone of firm
		'fax'            => '',                 // Fax of firm
		'address'        => '– kgyt’s Directory Lister', // Address (change it!)
		'email'          => 'kdl@kgyt.hu',      // E-mail of firm
		'help'           => 'Könyvtárlistázó megrendelése az alábbi elérhetőségeken.'
	);
	//
	// ---------------------------- DON'T EDIT UNDER THIS LINE -------------------
	//
	// Version
	//
	$kdl[ 'version' ] = '2.2';
	//
	// Internal settings
	//
	$kdl[ 'dirs' ][ 'public' ] = 'http://static.kgyt.hu/kdl/'; // Install directory
	// Directories
	$kdl[ 'dirs' ][ 'theme' ] = $kdl[ 'dirs' ][ 'public' ] . 'themes/'
		. $kdl['theme'] . '/';
	$kdl[ 'dirs' ][ 'image' ] = $kdl[ 'dirs' ][ 'theme' ] . 'images/';
	$kdl[ 'dirs' ][ 'css' ]   = $kdl[ 'dirs' ][ 'theme' ] . 'css/';
	//
	// Listing mode settings
	//
	$listingmode = false;
	// Filename for default listing mode's file
	$kdl[ 'listingfile' ] = 'index.kdl';
	// Set path info if needed - or filter for security
	if( ! isset( $_SERVER[ 'PATH_INFO' ] ) ) {
		$_SERVER[ 'PATH_INFO' ] = 'index';
	} else {
		$_SERVER[ 'PATH_INFO' ] =
			preg_replace( '/\W/', '', $_SERVER[ 'PATH_INFO' ] );
	};
	// Get special listing file from path info
	$kdl[ 'pathinfo' ] = $_SERVER[ 'PATH_INFO' ] . '.kdl';
	if( is_file( $kdl[ 'pathinfo' ] ) ) {
		$kdl[ 'listingfile' ] = $kdl[ 'pathinfo' ];
	};
	if( is_file( $kdl[ 'listingfile' ] ) ) {
		$filelines = file( $kdl[ 'listingfile' ] );
		if( preg_match( '/^\#/', $filelines[ 0 ] ) ) {
			$listingmode = true;
		};
	};
	//
	// Initialize variables
	//
	$kdl[ 'list' ][ 'files' ]  = array();
	$kdl[ 'list' ][ 'dirs' ]   = array();
	$kdl[ 'dirs' ][ 'actual' ] =
		preg_replace( '/^(.*\/)[^\/]+$/', '\\1', $_SERVER[ 'SCRIPT_NAME' ] );
	//
	// Headers for HTTP communication
	//
	if( stristr( $_SERVER[ 'HTTP_ACCEPT' ], 'application/xhtml+xml' ) ) {
		header( 'Content-type: application/xhtml+xml; charset=utf-8' );
	} else {
		header( 'Content-type: text/html; charset=utf-8' );
	};
	header( 'Expires: Thu, 19 Nov 1981 08:52:00 GMT' );
	header( 'Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0' );
	header( 'Pragma: no-cache' );
	header( 'Connection: close' );
	header( 'X-Powered-By: kgyt' );
	//
	// XML prolog
	//
	echo( '<?xml version="1.0" encoding="UTF-8"?>' );
	//
	// XHTML
	//
	// Titles
	if( $listingmode ) {
		$kdl[ 'title' ][ 'h1' ]   = rtrim( $filelines[ 3 ] );
		$kdl[ 'title' ][ 'head' ] = $kdl[ 'title' ][ 'h1' ];
	} else {
		$kdl[ 'title' ][ 'h1' ]   = $kdl['dirs']['actual'];
		$kdl[ 'title' ][ 'head' ] = $kdl[ 'title' ][ 'h1' ] . ' – '
			. $_SERVER[ 'HTTP_HOST' ];
	};
	xhtmlheader( $kdl[ 'title' ], $kdl['dirs'] );
	//
	// Listing
	//
	if( $listingmode ) {
		listingmode( $filelines );
	} else {
		normalmode( $filelines );
	};
	xhtmlfooter( $kdl['dirs'] );
	//
	// Functions
	//
	// ---------------------------------------------------------------------------
	//
	// Normal mode function
	//
	function normalmode( $filelines ) {
		global $global;
		global $kdl;
		echo '			<table>' . "\n";
		if( is_dir( '.' ) ) {
			if( $dirhandler = opendir( '.' ) ) {
				$kdl['list']['sortbytype']['files'] = array();
				$kdl['list']['sortbysize']['files'] = array();
				$kdl['list']['sortbytime']['files'] = array();
				while( $file = readdir( $dirhandler ) ) {
					if( preg_replace( '/^.*\/([^\/]+)$/', '\\1', $_SERVER[ 'SCRIPT_NAME' ] ) == $file ) {
						// Self
					} elseif( preg_match( '/\.kdl$/', $file ) ) {
						// kDL list files
					} elseif( preg_match( '/\.kdi$/', $file ) ) {
						// kDL info files
					} elseif( preg_match( '/\.kdh$/', $file ) || preg_match( '/\.hidden$/', $file ) ) {
						// kDL hidden files
					} elseif( is_file( $file . '.kdh' ) || is_file( $file . '.hidden' ) ) {
						// kDL hidden files
					} elseif( '..' == $file ) {
						// Parent folder
					} elseif( preg_match( '/^\./', $file ) ) {
						// Linux hidden files
					} else {
						// File or dir
						if( strlen( $file ) > $kdl['longfilename'] ) {
							$shortfilename = substr( $file, 0, $kdl['longfilename'] - 3 ) . '<span class="note">...</span>';
						} else {
							$shortfilename = $file;
						};
						if( is_dir( $file ) ) {
							$moreinfo = '';
							$noteinfo = '';
							if( is_file( $file . '.kdi' ) ) {
								$infofile = file( $file . '.kdi' );
								if( preg_match( '/^\#/', $infofile[ 0 ] ) ) {
									$moreinfo = ' – ' . rtrim( $infofile[ 2 ] );
									$noteinfo = '<br />' . "\n\t\t\t\t\t\t"
									. '<span class="note">' . rtrim( $infofile[ 3 ] ) . '</span>';
								};
							};
							$type = 'DIR';
							$size = '&lt;DIR&gt;';
							$time = '' . date( $kdl['dateformat'], filemtime( $file ) );
							$kdl['list']['dirs'][ $file ] = array(
								'file'  => $file,
								'short' => $shortfilename,
								'type'  => $type,
								'size'  => $size,
								'time'  => $time,
								'more'  => $moreinfo,
								'note'  => $noteinfo
							);
							$timeforsort = filemtime( $file ) - 0;
							$kdl['list']['sortbytime']['dirs'][ $timeforsort ][ $file ] = $kdl['list']['dirs'][ $file ];
						} else {
							$moreinfo = '';
							$noteinfo = '';
							if( is_file( $file . '.kdi' ) ) {
								$infofile = file( $file . '.kdi' );
								if( preg_match( '/^\#/', $infofile[ 0 ] ) ) {
									$moreinfo = ' – ' . rtrim( $infofile[ 2 ] );
									$noteinfo = '<br />' . "\n\t\t\t\t\t\t"
									. '<span class="note">' . rtrim( $infofile[ 3 ] ) . '</span>';
								};
							};
							$type = strtolower( preg_replace( '/^.+\.([^\.]+)$/', '\\1', $file ) );
							$size = '' . filesize( $file ) . '&nbsp;B';
							$time = '' . date( $kdl['dateformat'], filemtime( $file ) );
							$kdl['list']['files'][ $file ] = array(
								'file'  => $file,
								'short' => $shortfilename,
								'type'  => $type,
								'size'  => $size,
								'time'  => $time,
								'more'  => $moreinfo,
								'note'  => $noteinfo
							);
							$sizeforsort = filesize( $file ) - 0;
							$timeforsort = filemtime( $file ) - 0;
							$kdl['list']['sortbytype']['files'][ $type ][ $file ] = $kdl['list']['files'][ $file ];
							$kdl['list']['sortbysize']['files'][ $sizeforsort ][ $file ] = $kdl['list']['files'][ $file ];
							$kdl['list']['sortbytime']['files'][ $timeforsort ][ $file ] = $kdl['list']['files'][ $file ];
						};
					};
				};
				closedir( $dirhandler );
			};
		};
		sort( $kdl['list']['dirs'] );
		sort( $kdl['list']['files'] );
		if( $_GET[ 'sort' ] === 'name2' ) {
			$kdl['list']['dirs'] = array_reverse( $kdl['list']['dirs'] );
			$kdl['list']['files'] = array_reverse( $kdl['list']['files'] );
		} elseif( $_GET[ 'sort' ] === 'type' ) {
			ksort( $kdl['list']['sortbytype']['files'] );
			$kdl['list']['files'] = array();
			foreach( $kdl['list']['sortbytype']['files'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['files'][] = $sortnow2;
				};
			};
		} elseif( $_GET[ 'sort' ] === 'type2' ) {
			$kdl['list']['dirs'] = array_reverse( $kdl['list']['dirs'] );
			krsort( $kdl['list']['sortbytype']['files'] );
			$kdl['list']['files'] = array();
			foreach( $kdl['list']['sortbytype']['files'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['files'][] = $sortnow2;
				};
			};
		} elseif( $_GET[ 'sort' ] === 'size' ) {
			ksort( $kdl['list']['sortbysize']['files'] );
			$kdl['list']['files'] = array();
			foreach( $kdl['list']['sortbysize']['files'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['files'][] = $sortnow2;
				};
			};
		} elseif( $_GET[ 'sort' ] === 'size2' ) {
			krsort( $kdl['list']['sortbysize']['files'] );
			$kdl['list']['files'] = array();
			foreach( $kdl['list']['sortbysize']['files'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['files'][] = $sortnow2;
				};
			};
		} elseif( $_GET[ 'sort' ] === 'time' ) {
			ksort( $kdl['list']['sortbytime']['dirs'] );
			$kdl['list']['dirs'] = array();
			foreach( $kdl['list']['sortbytime']['dirs'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['dirs'][] = $sortnow2;
				};
			};
			ksort( $kdl['list']['sortbytime']['files'] );
			$kdl['list']['files'] = array();
			foreach( $kdl['list']['sortbytime']['files'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['files'][] = $sortnow2;
				};
			};
		} elseif( $_GET[ 'sort' ] === 'time2' ) {
			krsort( $kdl['list']['sortbytime']['dirs'] );
			$kdl['list']['dirs'] = array();
			foreach( $kdl['list']['sortbytime']['dirs'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['dirs'][] = $sortnow2;
				};
			};
			krsort( $kdl['list']['sortbytime']['files'] );
			$kdl['list']['files'] = array();
			foreach( $kdl['list']['sortbytime']['files'] as $sortnow ) {
				$sortnow = array_values( $sortnow );
				foreach( $sortnow as $sortnow2 ) {
					$kdl['list']['files'][] = $sortnow2;
				};
			};
		};
	?>				<tr>
					<th>
						<a href="<?php echo $kdl['dirs']['actual']; ?>">név ▼</a>
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=name2">▲</a>
					</th>
					<th class="note">
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=type">típus ▼</a>
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=type2">▲</a>
					</th>
					<th class="note">
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=size">méret ▼</a>
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=size2">▲</a>
					</th>
					<th class="note">
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=time">idő ▼</a>
						<a href="<?php echo $_SERVER[ 'SCRIPT_NAME' ]; ?>?sort=time2">▲</a>
					</th>
				</tr>
				<tr onmouseover="this.className='actual';" onmouseout="this.className='';"
					onclick="window.location='..'">
					<td><strong>
						<a href="../"><img src="<?php echo $kdl['dirs']['image'] ?>icons/icon_folder.png" alt="<?php
							echo $a2[ 'file' ]; ?>" />&nbsp;..</a>
					</strong></td>
					<td class="note"><?php echo extension2filetype( 'DIR' ); ?></td>
					<td class="note">&lt;DIR&gt;</td>
					<td class="note"><?php echo date( $kdl['dateformat'], filemtime( '..' ) ); ?></td>
				</tr>
			<?php
		foreach( $kdl['list']['dirs'] as $a1 => $a2 ) {
			?>				<tr onmouseover="this.className='actual';" onmouseout="this.className='';"
					onclick="window.location='<?php echo $kdl['dirs']['actual'] . $a2[ 'file' ]; ?>'">
					<td><strong>
						<a href="<?php echo $kdl['dirs']['actual'] . $a2[ 'file' ]; ?>"><img src="<?php echo $kdl['dirs']['image'] ?>icons/icon_folder.png" alt="<?php
							echo $a2[ 'file' ]; ?>" />&nbsp;<?php echo $a2[ 'short' ]; ?></a>
					</strong><?php echo $a2[ 'more' ]; ?><?php echo $a2[ 'note' ]; ?></td>
					<td class="note"><?php echo extension2filetype( $a2[ 'type' ] ); ?></td>
					<td class="note"><?php echo $a2[ 'size' ]; ?></td>
					<td class="note"><?php echo $a2[ 'time' ]; ?></td>
				</tr>
			<?php
		};
		foreach( $kdl['list']['files'] as $a1 => $a2 ) {
			?>				<tr onmouseover="this.className='actual';" onmouseout="this.className='';"
					onclick="window.location='<?php echo $kdl['dirs']['actual'] . $a2[ 'file' ]; ?>'">
					<td><strong>
						<a href="<?php echo $kdl['dirs']['actual'] . $a2[ 'file' ]; ?>"><img src="<?php echo $kdl['dirs']['image'] ?>icons/file/<?php
							echo extension2icon( $a2[ 'type' ] );
						?>.png" alt="<?php
							echo $a2[ 'file' ]; ?>" />&nbsp;<?php echo $a2[ 'short' ]; ?></a>
					</strong><?php echo $a2[ 'more' ]; ?><?php echo $a2[ 'note' ]; ?></td>
					<td class="note"><?php echo extension2filetype( $a2[ 'type' ] ); ?></td>
					<td class="note"><?php echo $a2[ 'size' ]; ?></td>
					<td class="note"><?php echo $a2[ 'time' ]; ?></td>
				</tr>
			<?php
		};
		echo '			</table>' . "\n";
	}
	// ---------------------------------------------------------------------------
	//
	// Listing mode function
	//
	function listingmode( $filelines ) {
		global $global;
		global $kdl;
		if( rtrim( $filelines[ 4 ] ) != '' ) {
			echo '			<p><strong>' . rtrim( $filelines[ 4 ] ) . '</strong></p>';
		};
		for( $i = 5; $i < count( $filelines ); $i++ ) {
			$fileline = rtrim( $filelines[ $i ] );
			if( $fileline != '' ) {
				if( preg_match( '/^\=\s+/', $fileline ) ) {
					$fileline = preg_replace( '/^\=\s+/', '', $fileline );
					echo '			<h2>' . $fileline . "</h2>\n";
				} elseif( preg_match( '/^\-\s+/', $fileline ) ) {
					$fileline = preg_replace( '/^\-\s+/', '', $fileline );
					echo '			<h3>' . $fileline . "</h3>\n";
				} elseif( preg_match( '/^\i\s+/', $fileline ) ) {
					$fileline = preg_replace( '/^\i\s+/', '', $fileline );
					echo '			<p class="small"><small>' . $fileline . "</small></p>\n";
				} else {
					if(	is_file( $fileline ) || is_dir( $fileline ) ) {
						if( preg_replace( '/^.*\/([^\/]+)$/', '\\1', $_SERVER[ 'SCRIPT_NAME' ] ) == $fileline ) {
							// Self
						} elseif( preg_match( '/\.kdl$/', $fileline ) ) {
							// kDL list files
						} elseif( preg_match( '/\.kdi$/', $fileline ) ) {
							// kDL info files
						} elseif( preg_match( '/\.kdh$/', $fileline ) || preg_match( '/\.hidden$/', $fileline ) ) {
							// kDL hidden files
						} elseif( '..' == $fileline ) {
							// Parent folder
						} elseif( preg_match( '/^\./', $fileline ) ) {
							// Linux hidden files
						} else {
							$moreinfo = '';
							if( is_file( $fileline . '.kdi' ) ) {
								$infofile = file( $fileline . '.kdi' );
								if( preg_match( '/^\#/', $infofile[ 0 ] ) ) {
									$moreinfo = ' – ' . rtrim( $infofile[ 2 ] );
								};
							};
							if( is_dir( $fileline ) ) {
								echo "			<p class=\"linkdir\" onclick=\"window.location='"
								. $kdl['dirs']['actual'] . $fileline . '\'">'
								. '<a href="'
								. $kdl['dirs']['actual'] . $fileline . '">'
								. $fileline . '</a>'
								. $moreinfo . ' // '
								. extension2filetype( 'DIR' )
								. ' // '
								. date( $kdl['dateformat'], filemtime( $fileline ) )
								. '</p>' . "\n";
							} else {
								echo "			<p class=\"link\" onclick=\"window.location='"
								. $kdl['dirs']['actual'] . $fileline . '\'">'
								. '<a href="'
								. $kdl['dirs']['actual'] . $fileline . '">'
								. $fileline . '</a>'
								. $moreinfo . ' // '
								. extension2filetype( strtolower( preg_replace( '/^.+\.([^\.]+)$/', '\\1', $fileline ) ) )
								. ' // '
								. filesize( $fileline )
								. '&nbsp;B // '
								. date( $kdl['dateformat'], filemtime( $fileline ) )
								. '</p>' . "\n";
							};
						};
					};
				};
			};
		};
	}
	// ---------------------------------------------------------------------------
	//
	// XHTML header function
	//
	function xhtmlheader( $title, $dirs ) {
		global $global;
		echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"' . "\n";
		echo '	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' . "\n";
		echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="hu" lang="hu" dir="ltr">' . "\n";
		echo '<head>' . "\n";
		echo '	<meta name="Author" content="http://kgyt.hu/" />' . "\n";
		echo '	<meta name="Generator" content="kDL – http://kgyt.hu/" />' . "\n";
		echo '	<meta name="Language" content="hu" />' . "\n";
		echo '	<meta http-equiv="Content-Type"' . "\n";
		echo '		content="application/xhtml+xml; charset=utf-8" />' . "\n";
		echo '	<meta http-equiv="Content-Style-Type"' . "\n";
		echo '		content="text/css; charset=utf-8" />' . "\n";
		echo '	<meta http-equiv="Content-Script-Type"' . "\n";
		echo '		content="text/javascript; charset=utf-8" />' . "\n";
		echo '	<link rel="shortcut icon" href="' . $dirs['image']
			. 'icons/favicon.ico" />' . "\n";
		echo '	<link rel="icon" href="' . $dirs['image']
			. 'icons/favicon.ico" />' . "\n";
		echo '	<link rel="stylesheet" media="all" href="' . $dirs['css']
			. 'reset.css" type="text/css" />' . "\n";
		echo '	<link rel="stylesheet" media="screen" href="' . $dirs['css']
			. 'screen.css" type="text/css" />' . "\n";
		echo '	<!--[if lt ie 8]>' . "\n";
		echo '		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />' . "\n";
		echo '	<![endif]-->' . "\n";
		echo '	<title>' . $title['head'] . '</title>' . "\n";
		echo '</head>' . "\n";
		echo '<body>' . "\n";
		echo '	<div id="page">' . "\n";
		echo '		<p id="pageTop"><a href="' . $global['url'] . '"><img alt="';
		echo $global['name'] . '" src="' . $dirs['image']
			. 'ui/logo.png" /></a></p>' . "\n";
		echo '		<div id="pageMain">' . "\n";
		echo '			<h1>' . $title['h1'] . '</h1>' . "\n";
	}
	// ---------------------------------------------------------------------------
	//
	// XHTML footer function
	//
	function xhtmlfooter( $dirs ) {
		global $global;
		echo '			<p id="pageHelp"><img src="' . $dirs['image'];
		echo 'icons/icon_question.png"' . "\n";
		echo '				title="' . $global['help'] . '"' . "\n";
		echo '				alt="Súgó" /></p>' . "\n";
		echo '		</div>' . "\n";
		echo '		<ul id="pageBottom">' . "\n";
		echo '			<li class="firstItem">' . $global['name'] . '</li>' . "\n";
		echo '			<li>' . $global['address'] . '</li>' . "\n";
		echo '			<li>T.: ' . $global['tel'] . '</li>' . "\n";
		if( $global['fax'] !== '' ) {
			echo '			<li>F.: ' . $global['fax'] . '</li>' . "\n";
		};
		echo '			<li><a href="mailto:' . $global['email'] . '">';
		echo $global['email'] . '</a></li>' . "\n";
		echo '			<li><a href="' . $global['url'] . '">' . $global['url2']
			. '</a></li>' . "\n";
		echo '		</ul>' . "\n";
		echo '	</div>' . "\n";
		echo '</body>' . "\n";
		echo '</html>';
	}
	// ---------------------------------------------------------------------------
	//
	// Extension functions
	//
	function extension2filetype( $ext ) {
		switch( $ext ) {
			// Archives
			case '7z':    return 'Tömörített fájl';
			case 'ace':   return 'Tömörített fájl';
			case 'arj':   return 'Tömörített fájl';
			case 'bz2':   return 'Tömörített fájl';
			case 'gz':    return 'Tömörített fájl';
			case 'lha':   return 'Tömörített fájl';
			case 'rar':   return 'Tömörített fájl';
			case 'sit':   return 'Tömörített fájl';
			case 'uc2':   return 'Tömörített fájl';
			case 'z':     return 'Tömörített fájl';
			case 'zip':   return 'Tömörített fájl';
			case 'tar':   return 'Tar csomag';
			case 'tgz':   return 'GZippel tömörített tar csomag';
			// Pictures
			case 'png':   return 'PNG kép';
			case 'pnga':  return 'PNG kép';
			case 'jpg':   return 'JPEG kép';
			case 'jpeg':  return 'JPEG kép';
			case 'jpe':   return 'JPEG kép';
			case 'gif':   return 'GIF kép';
			case 'tga':   return 'TGA kép';
			case 'tif':   return 'TIFF kép';
			case 'tiff':  return 'TIFF kép';
			case 'pict':  return 'Macintosh kép';
			case 'bmp':   return 'Windows bitmap';
			case 'ico':   return 'Windows ikon';
			case 'cur':   return 'Windows kurzor';
			case 'ani':   return 'Windows animált kurzor';
			// Adobe
			case 'pdf':   return 'Adobe PDF fájl';
			case 'ai':    return 'Adobe Illustrator fájl';
			case 'psd':   return 'Adobe Photoshop fájl';
			case 'indd':  return 'Adobe InDesign fájl';
			case 'inx':   return 'Adobe InDesign exportfájl';
			case 'pmd':   return 'Adobe PageMaker fájl';
			case 'fla':   return 'Adobe Flash forrásfájl';
			case 'swf':   return 'Adobe Flash fájl';
			case 'ps':    return 'Adobe Postscript';
			// HTML files
			case 'htm':   return 'HTML fájl';
			case 'html':  return 'HTML fájl';
			case 'xhtml': return 'HTML fájl';
			case 'shtml': return 'HTML fájl';
			// PHP files
			case 'php':   return 'PHP szkript';
			case 'php3':  return 'PHP szkript';
			case 'php4':  return 'PHP szkript';
			case 'php5':  return 'PHP szkript';
			case 'php6':  return 'PHP szkript';
			case 'phtml': return 'PHP szkript';
			case 'phps':  return 'PHP forrás';
			// Microsoft Office
			case 'doc':   return 'MS Office Word fájl';
			case 'dot':   return 'MS Office Word sablon';
			case 'xls':   return 'MS Office Excel fájl';
			case 'ppt':   return 'MS Office Powerpoint bemutató';
			case 'pps':   return 'MS Office Powerpoint bemutató';
			case 'docx':  return 'MS Office Word fájl';
			case 'dotx':  return 'MS Office Word sablon';
			case 'xlsx':  return 'MS Office Excel fájl';
			case 'pptx':  return 'MS Office Powerpoint bemutató';
			case 'ppsx':  return 'MS Office Powerpoint bemutató';
			case 'wps':   return 'MS Works fájl';
			// OpenDocument
			case 'odt':   return 'OpenDocument szöveg';
			case 'ods':   return 'OpenDocument táblázat';
			case 'odp':   return 'OpenDocument bemutató';
			case 'odg':   return 'OpenDocument ábra';
			case 'odf':   return 'OpenDocument képlet';
			// Apple
			case 'pages':   return 'iWork Pages szöveg';
			case 'numbers': return 'iWork Numbers táblázat';
			case 'keynote': return 'iWork Keynote bemutató';
			// Simple text
			case 'txt':   return 'Szövegfájl';
			// Rich text
			case 'rtf':   return 'Rich Text fájl';
			// Fonts
			case 'otf':   return 'OpenType font';
			case 'ttf':   return 'TrueType font';
			case 'tfil':  return 'Macintosh TrueType font';
			case 'ttc':   return 'TrueType fontkollekció';
			case 'ffil':  return 'Macintosh font';
			case 'pfb':   return 'Type 1 font';
			case 'pfm':   return 'Type 1 font';
			case 'pfa':   return 'Type 1 font';
			case 'afm':   return 'Type 1 font';
			case 'lwfn':  return 'Macintosh Type 1 font';
			case 'dfont': return 'TrueType suitcase font';
			case 'eot':   return 'EOT webfont';
			case 'woff':  return 'WOFF webfont';
			case 'fnt':   return 'FontEdit forrásfájl';
			case 'fog':   return 'Fontographer forrásfájl';
			case 'sfg':   return 'FontForge forrásfájl';
			case 'vfb':   return 'FontLab forrásfájl';
			case 'CompositeFont': return 'Windows kompozitfont';
			// Quark
			case 'qxd':   return 'Quark XPress fájl';
			case 'qxt':   return 'Quark XPress fájl';
			case 'qxl':   return 'Quark XPress fájl';
			case 'qxp':   return 'Quark XPress fájl';
			// Images
			case 'iso':   return 'Lemezképfájl';
			case 'img':   return 'Lemezképfájl';
			case 'nrg':   return 'Nero lemezképfájl';
			case 'dmg':   return 'Macintosh lemezképfájl';
			// Binaries
			case 'exe':   return 'MS futtatható fájl';
			case 'bin':   return 'Bináris fájl';
			case 'hex':   return 'Hexadecimális forrásfájl';
			// Windows
			case 'bat':   return 'MS kötegelt parancsfájl';
			case 'pif':   return 'MS programinformációs fájl';
			case 'lnk':   return 'MS fájlhivatkozás';
			// Web
			case 'mail':  return 'Email fájl';
			case 'eml':   return 'Email fájl';
			case 'part':  return 'Letöltési részletfájl';
			case 'torrent': return 'Letöltésfájl';
			case 'download': return 'Letöltésfájl';
			case 'js':    return 'Javascript fájl';
			case 'css':   return 'CSS stíluslap';
			// Directory
			case 'DIR':   return 'Mappa';
			default:      return 'Fájl';
/*
sis
jad
jar
================================================================================
DTP formats
--------------------------------------------------------------------------------
cap	Caption File
inx	InDesign Export File
pct	Pict File Format
pub	Microsoft Publisher File
rels	Microsoft Office 2007 Relationships
================================================================================
Archives
			case 'arj':   return 'Tömörített fájl';
			case 'lha':   return 'Tömörített fájl';
			case 'uc2':   return 'Tömörített fájl';
			case 'arj':   return 'Tömörített fájl';
			case 'sit':   return 'Tömörített fájl';
			case 'tar':   return 'Tar csomag';
--------------------------------------------------------------------------------
001	Multiple Volume Compressed File	78998
003	Drive Image 5 Setup File	2783
alz	ALZip Copmpressed File	1660
arc	Arc Lossless Data Compression File	10753
bba	Settler IV Archive File	1268
bh	BlackHole Compressed File	644
c00	Winace Split Archive File	972
cab	Windows Cabinet File	5986
cbr	Comic Book Archive File	12403
cbz	Comic Book ZIP File	3721
deb	Debian Software Package	4018
djvu	DjVu File	57976
egg	ALZip Copmpressed File	2281
gzip	GNU Zip Compressed File	1110
ipsw	IPod/IPad/IPhone Software File	2920
lzh	Compressed Archive File	3172
maff	Mozilla Archive Format File	186
mar	Mozilla Archive	112
pac	CrossePAC Archive File	1791
pack	Pack 2000 Compressed File	3160
par	Parity Archive Volume Set File	1083
par2	Parchive 2 File	3576
pax	Pax Archive File	937
pbd	EASEUS Todo Backup File	1055
pea	PeaZip Compressed File	264
pim	PIM Archive File	1439
pit	PackIt Compressed File	1428
pkg	Mac OS X Installer Package	4891
pup	PS3 System Software Update File	2880
rpm	RPM Package Manager File	2336
sdc	Microsoft Secure Download Cabinet File	1069
sed	Self Extraction Directive File	393
sfx	Self Extracting Archive File	1580
sha	Shell Archive File	172
sims3pack	Sims3Pack Archived File	2878
sit	Stuffit Archive	3096
sitx	Stuffit SITX Compressed File	1046
uha	UHARC compressed archive File	3352
wsz	Winamp Compressed Skin File	957
xpi	XPInstall File	32664
z01	Winzip Split Archive File	5571
z02	Split Archive File	851
zfsendtotarget	Compressed Folder File	1012
zipx	WinZip Compressed File	4199
zix	WinZix Compressed File	1188
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
================================================================================

--------------------------------------------------------------------------------
*/
		};
	}
	function extension2icon( $ext ) {
		switch( $ext ) {
			// Archives
			case '7z':    return 'pack';
			case 'ace':   return 'pack';
			case 'arj':   return 'pack';
			case 'bz2':   return 'pack';
			case 'gz':    return 'pack';
			case 'lha':   return 'pack';
			case 'rar':   return 'pack';
			case 'sit':   return 'pack';
			case 'uc2':   return 'pack';
			case 'z':     return 'pack';
			case 'zip':   return 'pack';
			case 'tar':   return 'pack';
			case 'tgz':   return 'pack';
			// Pictures
			case 'png':   return 'image';
			case 'pnga':  return 'image';
			case 'jpg':   return 'image';
			case 'jpeg':  return 'image';
			case 'jpe':   return 'image';
			case 'gif':   return 'image';
			case 'tga':   return 'image';
			case 'tif':   return 'image';
			case 'tiff':  return 'image';
			case 'pict':  return 'image';
			case 'bmp':   return 'image';
			case 'ico':   return 'image';
			case 'cur':   return 'image';
			case 'ani':   return 'image';
			// Adobe
			case 'pdf':   return 'pdf';
			case 'ai':    return 'image';
			case 'psd':   return 'image';
			case 'indd':  return 'document';
			case 'inx':   return 'default';
			case 'pmd':   return 'document';
			case 'fla':   return 'default';
			case 'swf':   return 'default';
			case 'ps':    return 'default';
			// HTML files
			case 'htm':   return 'web';
			case 'html':  return 'web';
			case 'xhtml': return 'web';
			case 'shtml': return 'web';
			// PHP files
			case 'php':   return 'default';
			case 'php3':  return 'default';
			case 'php4':  return 'default';
			case 'php5':  return 'default';
			case 'php6':  return 'default';
			case 'phtml': return 'default';
			case 'phps':  return 'default';
			// Microsoft Office
			case 'doc':   return 'document';
			case 'dot':   return 'document';
			case 'xls':   return 'spread';
			case 'ppt':   return 'presentation';
			case 'pps':   return 'presentation';
			case 'docx':  return 'document';
			case 'dotx':  return 'document';
			case 'xlsx':  return 'spread';
			case 'pptx':  return 'presentation';
			case 'ppsx':  return 'presentation';
			case 'wps':   return 'document';
			// OpenDocument
			case 'odt':   return 'document';
			case 'ods':   return 'spread';
			case 'odp':   return 'presentation';
			case 'odg':   return 'image';
			case 'odf':   return 'default';
			// Apple
			case 'pages':   return 'document';
			case 'numbers': return 'spread';
			case 'keynote': return 'presentation';
			// Simple text
			case 'txt':   return 'text';
			// Rich text
			case 'rtf':   return 'document';
			// Fonts
			case 'otf':   return 'font';
			case 'ttf':   return 'font';
			case 'tfil':  return 'font';
			case 'ttc':   return 'font';
			case 'ffil':  return 'font';
			case 'pfb':   return 'font';
			case 'pfm':   return 'font';
			case 'pfa':   return 'font';
			case 'afm':   return 'font';
			case 'lwfn':  return 'font';
			case 'dfont': return 'font';
			case 'eot':   return 'font';
			case 'woff':  return 'font';
			case 'fnt':   return 'font';
			case 'fog':   return 'font';
			case 'sfg':   return 'font';
			case 'vfb':   return 'font';
			case 'CompositeFont': return 'font';
			// Quark
			case 'qxd':   return 'document';
			case 'qxt':   return 'document';
			case 'qxl':   return 'document';
			case 'qxp':   return 'document';
			// Images
			case 'iso':   return 'dvd';
			case 'img':   return 'dvd';
			case 'nrg':   return 'dvd';
			case 'dmg':   return 'dvd';
			// Binaries
			case 'exe':   return 'default';
			case 'bin':   return 'default';
			case 'hex':   return 'default';
			// Windows
			case 'bat':   return 'default';
			case 'pif':   return 'default';
			case 'lnk':   return 'default';
			// Web
			case 'mail':  return 'mail';
			case 'eml':   return 'mail';
			case 'part':  return 'default';
			case 'torrent': return 'torrent';
			case 'download': return 'torrent';
			case 'js':    return 'default';
			case 'css':   return 'default';
			// Directory
			case 'DIR':   return 'folder';
			default:      return 'default';
		};
	}
	// -------------------------- END OF FILE ------------------------------------
?>
